Screensaver freezes on Dapper (ATI Radeon 8500 LE)

Bug #38181 reported by Michael Dewes on 2006-04-05
42
Affects Status Importance Assigned to Milestone
xserver-xorg-driver-ati (Ubuntu)
Undecided
Unassigned
xserver-xorg-video-ati (Ubuntu)
High
Ubuntu-X

Bug Description

On a newly installed Dapper Drake Flight 6 (i386, live cd + espresso) the gnome-screensaver causes a freeze. I can not change to a console with alt-ctrl-fx nor go back to a functioning system in any other way than a reboot. This was happening several times, I now switched off the screensaver.

lspci:
0000:00:00.0 Host bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133] (rev 03)
0000:00:01.0 PCI bridge: VIA Technologies, Inc. VT8363/8365 [KT133/KM133 AGP]
0000:00:07.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 40)
0000:00:07.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
0000:00:07.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 16)
0000:00:07.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 16)
0000:00:07.4 Bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev 40)
0000:00:0b.0 Network controller: Techsan Electronics Co Ltd B2C2 FlexCopII DVB chip / Technisat SkyStar2 DVB card (rev 02)
0000:00:0d.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
0000:00:0f.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
0000:01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R200 QL [Radeon 8500 LE]

lsmod:

Module Size Used by
rfcomm 40216 0
l2cap 26244 5 rfcomm
bluetooth 49892 4 rfcomm,l2cap
radeon 108832 1
drm 72852 2 radeon
ipv6 265600 6
cpufreq_userspace 4696 0
cpufreq_stats 5636 0
freq_table 4740 1 cpufreq_stats
cpufreq_powersave 1920 0
cpufreq_ondemand 6428 0
cpufreq_conservative 7332 0
video 16260 0
tc1100_wmi 6916 0
sony_acpi 5516 0
pcc_acpi 11136 0
hotkey 11556 0
dev_acpi 11140 0
container 4608 0
button 6672 0
acpi_sbs 19980 0
battery 9988 1 acpi_sbs
i2c_acpi_ec 5120 1 acpi_sbs
ac 5252 1 acpi_sbs
nls_cp437 5888 2
ntfs 103536 2
dm_mod 58936 1
af_packet 22920 2
md_mod 72532 0
psmouse 36100 0
serio_raw 7300 0
snd_cmipci 34336 1
gameport 15496 1 snd_cmipci
snd_pcm_oss 53664 0
snd_mixer_oss 18688 1 snd_pcm_oss
b2c2_flexcop_pci 8728 0
b2c2_flexcop 28940 1 b2c2_flexcop_pci
mt352 6788 1 b2c2_flexcop
bcm3510 10884 1 b2c2_flexcop
snd_pcm 89736 2 snd_cmipci,snd_pcm_oss
snd_page_alloc 10632 1 snd_pcm
snd_opl3_lib 10624 1 snd_cmipci
snd_timer 25220 2 snd_pcm,snd_opl3_lib
snd_hwdep 9376 1 snd_opl3_lib
snd_mpu401_uart 7680 1 snd_cmipci
stv0299 10760 1 b2c2_flexcop
snd_rawmidi 25504 1 snd_mpu401_uart
snd_seq_device 8716 2 snd_opl3_lib,snd_rawmidi
dvb_core 82984 2 b2c2_flexcop,stv0299
8139cp 22528 0
8139too 26880 0
mii 5888 2 8139cp,8139too
dvb_pll 11012 1 b2c2_flexcop
nxt2002 8836 1 b2c2_flexcop
stv0297 7808 1 b2c2_flexcop
lgdt330x 8092 1 b2c2_flexcop
mt312 8068 1 b2c2_flexcop
snd 55268 12 snd_cmipci,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_opl3_lib,snd_timer,snd_hwdep,snd_mpu401_uart,snd_rawmidi,snd_seq_device
soundcore 10208 1 snd
shpchp 45632 0
pci_hotplug 29236 1 shpchp
via686a 17672 0
i2c_isa 4992 1 via686a
i2c_viapro 8980 0
i2c_core 21904 12 i2c_acpi_ec,b2c2_flexcop,mt352,bcm3510,stv0299,nxt2002,stv0297,lgdt330x,mt312,via686a,i2c_isa,i2c_viapro
parport_pc 35780 0
parport 36296 1 parport_pc
via_agp 9856 1
agpgart 34888 2 drm,via_agp
tsdev 8000 0
evdev 9856 1
usbhid 38368 0
ext3 135688 2
jbd 58772 1 ext3
ide_generic 1536 0
uhci_hcd 33680 0
usbcore 129668 3 usbhid,uhci_hcd
ide_cd 33028 0
cdrom 38560 1 ide_cd
ide_disk 17664 6
via82cxxx 9988 0 [permanent]
generic 5124 0
thermal 13576 0
processor 23360 1 thermal
fan 4868 0
capability 5000 0
commoncap 7296 1 capability
vesafb 8476 1
fbcon 42784 72
tileblit 2816 1 fbcon
font 8320 1 fbcon
bitblit 6272 1 fbcon
softcursor 2304 1 bitblit

I hope that by choosing the package gnome-screensaver I found the right one, if not, please bring this issue to the appropriate place :-)

Thank you,
Michael

FuturePast (4uturepast) on 2006-04-16
Changed in gnome-screensaver:
status: Unconfirmed → Confirmed
FuturePast (4uturepast) wrote :

This happens with me too, but it seems only with GL or 3d themes/hacks.

If I'm logged in with ssh, killing the process (gnome-screensaver and hack process) or restarting X makes no difference. Shutdown fails too.
No further ssh logins can be made.

Have done dist-upgrade.

Video card: SiS 305.

D

Darren (ubuntu-darrenlui) wrote :

ATI Radeon 8500.

slightly different - but similar.

I see 2D and 3D screensavers without an issue (other than the fact that the resolution is horribly low because of the slow GPU).

Breezy -> Dapper dist-upgrade using US sources today.

HediG (kothener) wrote :

ATI Radeon 9800 Pro

The same here, but only with GL or 3D-Themes. Changing to a console is not possible, neither reboot, total freeze.

Dapper Beta, currently updated.

josechu (josechu2004) wrote :

Radeon Mobility M6 LY

My computer also freezes completely with the screensaver.

I have 2.6.15-19 kernel because posterior kernels don't activate my wireless card.

John Florian (j100) wrote :

Two systems but one is with an Matrox MGA! Both require cold boot. Both are completely updated. Both are AMD Athlon XP systems.

lspci: Matrox Graphics, Inc. MGA G550 AGP (rev 01)
  warty -> hoary -> breezy -> dapper
  This system has been very good right up to about a week ago.
  Lockups now consistent, until I changed gnome power management to put display to sleep after only 3 minutes. Now this box doesn't have lockups. As if the run time of the screen saver has an impact. Call me crazy, but I swear the temperature controlled fans on the mobo are running faster now than previously even when though the load is 0.01 and basically idle. Back in breezy, the fans only ran this hard during the pretty screensavers or other heavy loads. I need to test more, but I think fans only start running hard after the screensaver has been active, like everything starts out ok.

lspci: ATI Technologies Inc Radeon RV250 If [Radeon 9000] (rev 01)
  This system is brand new dapper install on a box that had reliably run Fedora for 1-2 years.

I can provide any other data, if needed.

John Florian (j100) wrote :

Just adding that the same gnome-power-management change on the Radeon box seems to have helped just as it did with the Matrox box.

tuxo (beat-fasel) wrote :

I have the same problem again in Dapper up-to-date as of 2006-05-26. I have an ati radeon 8500 LE graphics card. X freezes on me after launching a 3D application like glxgears and sometimes even when doing 2D stuff like browsing the web. I reported earlier on about the same bug (#3527). However, I did not anymore experience crashes after 2006-04-11 until the middle of May. Only a few days ago it started again. Maybe it is due to recent xorg driver updates?

Cheers,
Beat

tuxo (beat-fasel) wrote :

Over the last day my computer locked up many times. Interesting to note is that I can play tuxracer without a system freeze, but when I launch glxgears, the system freezes hard after some time, especially when moving the glxgears window around.

As for the freezing of the desktop when no 3D application is present (e.g. when surfing the internet) I experienced at least 10 lockups in one day and this both under GNOME and KDE. As I have an atheros wifi card, maybe this lockup is cause by bug #37773 ([madwifi] Semi-random system lockups in Dapper). As far as my system concerns, the memory is fine (I did a memory test).

Here some system specs:

$ lspci
0000:00:00.0 Host bridge: VIA Technologies, Inc. VT82C693A/694x [Apollo PRO133x] (rev c4)
0000:00:01.0 PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo MVP3/Pro133x AGP]
0000:00:04.0 ISA bridge: VIA Technologies, Inc. VT82C686 [Apollo Super South] (rev 40)
0000:00:04.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
0000:00:04.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 16)
0000:00:04.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 16)
0000:00:04.4 Host bridge: VIA Technologies, Inc. VT82C686 [Apollo Super ACPI] (rev 40)
0000:00:09.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC (rev 01)
0000:00:0a.0 USB Controller: NEC Corporation USB (rev 43)
0000:00:0a.1 USB Controller: NEC Corporation USB (rev 43)
0000:00:0a.2 USB Controller: NEC Corporation USB 2.0 (rev 04)
0000:00:0b.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 07)
0000:00:0b.1 Input device controller: Creative Labs SB Live! MIDI/Game Port (rev 07)
0000:00:0d.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
0000:01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R200 QL [Radeon 8500 LE]

uname -a
Linux lego 2.6.15-23-686 #1 SMP PREEMPT Tue May 23 14:03:07 UTC 2006 i686 GNU/Linux

Thanks,
Beat

Teetrinker (lpersson) wrote :

SIS 305 PCI 32MB

Same Problem.
Some Screensavers freezes the System (Dapper).
The only way to to end this is a reeboot.

tuxo (beat-fasel) wrote :

I found out that in the Bios of my computer the AGP capability mode was set to 4x. Indeed, the Radeon 8500 LE supports this mode. However, the xorg.conf file generated by issuing the command dpkg-reconfigure xserver-xorg contains following device section:

Section "Device"
        Identifier "ATI Technologies, Inc. Radeon R200 QL [Radeon 8500 LE]" Driver "ati"
        BusID "PCI:1:0:0"
        Option "UseFBDev" "true"
EndSection

I added the 4x mode as follows

Section "Device"
        Identifier "ATI Technologies, Inc. Radeon R200 QL [Radeon 8500 LE]" Driver "ati"
        BusID "PCI:1:0:0"
        Option "UseFBDev" "true"
        Option "AGPMode" "4"
EndSection

Interestingly, the glxgears crashes that occured when quickly moving the glxgears window around on the desktop disappeared. Also, 3D games such as Tuxracer and 3D screensavers seem to run without freezing my computer.

However, when e.g. surfing the net with Firefox/Konqueror for a given time, my computer still freezes hard after some time. As mentionned before, this seems to be related to another bug, maybe due to the wireless (atheros) madwifi driver or the network-manager I use.

Changed in xserver-xorg-driver-ati:
assignee: nobody → ubuntu-x-swat
Andy Hird (andyhird) wrote :

I'm experiencing this problem after upgrading from breezy to dapper (release).

Using the same xorg.conf that I've been running with for the whole of breezy my laptop would lockup hard (have to hold down the reset button to restart) after anything between 2 and 5 minutes. It usually ocurred when running something like evolution or firefox and I can repro every time by dragging and xterm over the top of evolution. Some relevant versions:
ii xserver-xorg-c 1.0.2-0ubuntu1 X.Org X server -- core server
ii xserver-xorg-d 6.5.7.3-0ubunt X.Org X server -- ATI display driver
kernel was linux-image-2.6.15-23-686

I tried commenting out the dri, GLcore and glx load modules in my xorg.conf one by one but each time I'd still get a lockup. Finally I tried rebooting with a 2.6.12-10-686 image and that seems to have solved the problem. I've been running for more than 12 hours with no repeat of the lockups. I haven't tried adding back the load modules in my xorg.conf but I may give that a go.

I'm using a pretty old Dell Latitude C510/C610 with a Radeon Mobility (16mb). I have no onboard wireless, bluetooth or anything fancy which may have caused problems with newer kernels.

Not sure if there are any release notes associated with the new release of ubuntu but something like this should definitely be in there. Its put a big dampner on dapper so far for me.

Krishnaswamy (krishnaswamy) wrote :

same problem, this occurs when ever i run a 3d application

output of lspci

0000:00:00.0 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
0000:00:00.1 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
0000:00:00.2 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
0000:00:00.3 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
0000:00:00.4 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
0000:00:00.7 Host bridge: VIA Technologies, Inc. K8M800 Host Bridge
0000:00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI bridge [K8T800/K8T890 South]
0000:00:0f.0 RAID bus controller: VIA Technologies, Inc. VIA VT6420 SATA RAID Controller (rev 80)
0000:00:0f.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
0000:00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81)
0000:00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81)
0000:00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81)
0000:00:10.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 81)
0000:00:10.4 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 86)
0000:00:11.0 ISA bridge: VIA Technologies, Inc. VT8237 ISA bridge [KT600/K8T800/K8T890 South]
0000:00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller (rev 60)
0000:00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 78)
0000:00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
0000:00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
0000:00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
0000:00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
0000:01:00.0 VGA compatible controller: VIA Technologies, Inc. S3 Unichrome Pro VGA Adapter (rev 01)

same here, system freezes within seconds if a 3D screensaver is used; I have also reported this as bug https://launchpad.net/bugs/47447

# lspci
0000:00:00.0 Host bridge: VIA Technologies, Inc. VT8366/A/7 [Apollo KT266/A/333]
0000:00:01.0 PCI bridge: VIA Technologies, Inc. VT8366/A/7 [Apollo KT266/A/333 AGP]
0000:00:06.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
0000:00:07.0 Multimedia audio controller: Ensoniq ES1371 [AudioPCI-97] (rev 08)
0000:00:09.0 FireWire (IEEE 1394): Texas Instruments TSB12LV26 IEEE-1394 Controller (Link)
0000:00:11.0 ISA bridge: VIA Technologies, Inc. VT8233 PCI to ISA Bridge
0000:00:11.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
0000:00:11.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 18)
0000:00:11.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 18)
0000:00:11.4 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 18)
0000:01:00.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200 SE] (rev 01)
0000:01:00.1 Display controller: ATI Technologies Inc RV280 [Radeon 9200 SE] (Secondary) (rev 01)

chief (cb-campsf) wrote :

Had this same problem until I loaded the restricted-modules package that corresponded to the kernel version I'm running. Now 3d apps doesn't hang the system any more.

Krishnaswamy (krishnaswamy) wrote :

I have installed the restriced-modules but no use.

On Tue, June 6, 2006 06:46, கிருஷ்ணசுவாமி wrote:
--> I have installed the restriced-modules but no use.
-->
--> --
--> Screensaver freezes on Dapper (ATI Radeon 8500 LE)
--> https://launchpad.net/bugs/38181
-->

Are you running a non stock kernel? Meaning, did you upgrade your kernel from
the stock one that shipped with dapper? If you do you should un-install the
restricted modules that shipped with that kernel.

By the way, does xv work on your system?

--Ty

Ste (ilpillo) wrote :

ATI Radeon 9000
I have solved changing some parameters in the xorg.conf as follow:
---original Dapper "Section Device"---
#Section "Device"
# Identifier "ATI Technologies, Inc. Radeon RV250 If [Radeon 9000 Pro]"
# Driver "ati"
# BusID "PCI:1:0:0"
#EndSection

---Modified "Section Device"---
Section "Device"
 Identifier "ATI Technologies, Inc. Radeon RV250 If [Radeon 9000 Pro]"
 Driver "radeon"
 BusID "PCI:01:0:0"
 Option "AGPMode" "4"
 Option "AGPFastWrite" "true"
 Option "NoAccel" "false"
 Option "RenderAccel" "true"
EndSection

chief (cb-campsf) wrote :

On Wed, June 7, 2006 14:03, @Ste_it wrote:
> ATI Radeon 9000
> I have solved changing some parameters in the xorg.conf as follow:
> ---original Dapper "Section Device"---
> #Section "Device"
> # Identifier "ATI Technologies, Inc. Radeon RV250 If [Radeon 9000 Pro]"
> # Driver "ati"
> # BusID "PCI:1:0:0"
> #EndSection
>
> ---Modified "Section Device"---
> Section "Device"
> Identifier "ATI Technologies, Inc. Radeon RV250 If [Radeon 9000 Pro]"
> Driver "radeon"
> BusID "PCI:01:0:0"
> Option "AGPMode" "4"
> Option "AGPFastWrite" "true"
> Option "NoAccel" "false"
> Option "RenderAccel" "true"
> EndSection
>
> --
> Screensaver freezes on Dapper (ATI Radeon 8500 LE)
> https://launchpad.net/bugs/38181
>

Do you get xv output and 3d with these settings?

Because I get a blank screen when I set "AGPFastWrite" "true". Although my
card is an ATI Radeon 9100.

Ty

Ste (ilpillo) wrote :

Yes, I can see the 3D screensavers without freezes, and play videos in Totem with xv output.

TWFJR (tom-fiechtl) wrote :

Restricted modules package doesn't seem to exist in the Synaptic Package Manager for AMD 686. Might this be the problem with 64 bit computers freezing up running screensaver or xscreensaver?

chief (cb-campsf) wrote :

That's what I've noticed with trying to run the k7
kernel.

Ty

TWFJR wrote:
> Restricted modules package doesn't seem to exist in
> the Synaptic Package
> Manager for AMD 686. Might this be the problem with
> 64 bit computers
> freezing up running screensaver or xscreensaver?
>
> --
> Screensaver freezes on Dapper (ATI Radeon 8500 LE)
> https://launchpad.net/bugs/38181
>

Greg Fawcett (foxylad) wrote :

I have an ATI Radeon 9000 Pro (RV 250) which had the same symptoms - 3D applications would hard freeze. I can still ssh into the box from another machine, but killing X did nothing, so I think the freeze is actually the video card.

The suggestion above to add

Option "AGPMode" "4"

to the device section of xorg.conf fixed the problem.

chief (cb-campsf) wrote :

Using the "radeon" driver, not the "fglrx" driver
from ati, I had to add these options to the device
section to get xv and 3d output for my video card
(radeon 9100):

Option "MergedXinerama" "false"
Option "MergedFB" "false"

Greg Fawcett wrote:
> I have an ATI Radeon 9000 Pro (RV 250) which had the
> same symptoms - 3D
> applications would hard freeze. I can still ssh into
> the box from
> another machine, but killing X did nothing, so I
> think the freeze is
> actually the video card.
>
> The suggestion above to add
>
> Option "AGPMode" "4"
>
> to the device section of xorg.conf fixed the problem.
>
> --
> Screensaver freezes on Dapper (ATI Radeon 8500 LE)
> https://launchpad.net/bugs/38181
>

Godvad (jesper-goedvad) wrote :

I have an ATI Radeon Mobility 9000 (M6 LY) in my laptop.

Some times I can go for hours before my machine hard freezes but it does eventually no matter what I do. If I right after logon start Evolution it is almost 100% certain the machine freezes while trying to draw the window on the exact same space.

I've tried the settings from @Ste_it above but with no luck.

Does anyone have a suggestion on what I might change?

Marek (marek-pastucha) wrote :

Ati 9550.
Some 3D Screensavers after while freezes the System (Dapper). Not only in full screen, but also in setting of screen savers.
Time to freeze is quite random from several seconds to several minutes.
The only way to to end this is a reeboot.

Paul Drain (pd) wrote :

For those on i386 machines, do the binaries mentioned at:
http://64.71.152.24/ make any difference -- running any GL based screensaver used to lock up my ATI boxes solid.

Using a non-GL screensaver (like gnome feet) used to delay the problem, but using Mozilla after the tenth tab, or any use of Evolution for that matter used to kill it.

With the binaries mentioned on that webpage, i've not had a lockup using Dapper for over three weeks (as opposed to 2-4 hours without them, or whenever the screensaver kicked in.)

Pascal (pascaldekloe) wrote :

The modifications in xorg.conf as suggested by @Ste_it do not help for a ATI X700 (RV410)

Any application that requires 3D, including screensavers, glxgears and even glxinfo, will freeze the system instantaneous.

Who is on this bug and what do you need? Please ask!

Pascal (pascaldekloe) wrote :

Edgy became a release candidate and this bug is still wide open!

The only way to get rid of those freezes is to comment out Load "dri" in xorg.conf. Maybe this should be the default for all modern ATI cards as a workaround?

Also, why does this bug not show up at https://launchpad.net/distros/ubuntu/+bugs ?

Kimiko Koopman (kimiko) wrote :

Ah, I've finally found the right bug # for this.
This problem has been around for a long time for me, and still prevents me from using 3D screensavers. Other GL apps seem to work okay, although I haven't tested this a lot. Both the xscreensaver-demo previews and the actual screensaving freeze the system randomly. Sometimes it takes longer, sometimes shorter, but eventually they all freeze the system. No ctrl-alt-key combination works to get a clean shutdown, only the reset or power-off buttons work.

My videocard is identified as a ATI Radeon 9200 SE (RV280). Package versions are from current Feisty (==Edgy, since it's only been a few days since that release).

Let me know if you need copies of config files, okay?

Kimiko Koopman (kimiko) wrote :

Hmm. I just woke up to a hung system, even though I disabled all GL screensaver hacks. Must have been ZSNES then (it was in one of the OGL modes).
Guess I'll have to disable 3D accelleration altogether again :( Darn, just when I thought it finally worked again in Edgy..

Jani Juvan (jani-juvan) wrote :

I can confirm that this problem still exists on the edgy eft. I have a fresh install of 6.10 and am using a Matrox G550 AGP card with default xorg drivers.
I get this problem when selecting certain screensavers in Screensaver Preferences. Most screensavers do not give any preview and instead hang the Screensaver Preferences window after a while. If this screensaver remains selected and is activated when machine is idle it results in a complete hanging of the system only fixed by doing a cold boot.
Fortunately the screensaver can be reset to blank-only with gconf-editor. Maybe I have been unlucky, but the only screensaver I have managed to get to work is the FiberLamp one, although I have not done thorough testing.

Hope you guys solve it soon.

Tormod Volden (tormodvolden) wrote :

I believe many of the issues mentioned here are either bug #60288 (crashes with DRI) or bug #67487 (Ati AGP speed) for which there are some workarounds or test packages. Can you please take a look on those? If you still think your problem is not a duplicate, please attach more information like Xorg.0.log and xorg.conf.

Changed in xserver-xorg-video-ati:
status: Confirmed → Needs Info
Stéphane Marguet (stemp) wrote :

I'm closing this bug report as no further information has been provided.
Please feel free to reopen this bug if you can provide the information asked for.
Thanks!

Changed in xserver-xorg-video-ati:
status: Needs Info → Rejected
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers